SmsMessagePaginatedListResponse
Successful response with a page of SmsMessage
Always 0 in a successful response
0Always null in a successful response
data object[]required
Items of the page: an empty list beyond the last page
Id of the SMS sending (GET /api/v3/sms/{sms_id})
sms_price objectrequired
Price list of the destination country; null for sub-accounts
- SmsPrice
- null
country objectrequired
ie. IT
ie. ITA
Name of the country in Italian; the local name when there is no translation
Name of the country in its own language, for example Deutschland
International calling code, without +, for example 39
Continent, in English, for example Europe or North America
Area of the country: EU (European Union) or EXTRAEU
standard_price objectrequired
Amount in euros: the taxable amount and, when computed with a tax regime, the VAT rate, the VAT and the total, which are null otherwise
Taxable amount
Currency code: always EUR
VAT rate as a fraction, for example 0.22 for 22%
VAT (tax) amount
Total amount
premium_price objectrequired
Amount in euros: the taxable amount and, when computed with a tax regime, the VAT rate, the VAT and the total, which are null otherwise
Taxable amount
Currency code: always EUR
VAT rate as a fraction, for example 0.22 for 22%
VAT (tax) amount
Total amount
Date and time from which these prices apply
Surname and name of the recipient, when taken from a phonebook; otherwise empty or null
Phone number of the recipient in international format with the 00 prefix, for example 00393331122444
Date and time the message was sent; null until it is sent
Date and time the message was delivered; null until the delivery is confirmed
Error code if the SMS was not delivered
meta objectrequired
Pagination of the list
Number of items in the whole list
Number of items in this page: 0 beyond the last page
Number of pages of the list
Number of this page, starting from 1
Maximum number of items in a page
{
"error": 0,
"message": "string",
"data": [
{
"id": 0,
"sms_id": 0,
"sms_price": {
"country": {
"iso_code_2": "string",
"iso_code_3": "string",
"country_name": "string",
"local_name": "string",
"phone_code": "string",
"continent": "string",
"region": "string"
},
"standard_price": {
"amount": 0,
"currency": "string",
"tax_rate": 0,
"tax": 0,
"total": 0
},
"premium_price": {
"amount": 0,
"currency": "string",
"tax_rate": 0,
"tax": 0,
"total": 0
},
"valid_from": "2024-07-29T15:51:28.071Z"
},
"contact_name": "string",
"phone_number": "string",
"date_sent": "2024-07-29T15:51:28.071Z",
"date_delivered": "2024-07-29T15:51:28.071Z",
"error": "string"
}
],
"meta": {
"total": 0,
"count": 0,
"pages": 0,
"page": 0,
"per_page": 0
}
}